ImagickDraw::rotate
ImagickDraw::scale
The ImagickDraw class
PHP Manual

# ImagickDraw::roundRectangle

(PECL imagick 2.0.0)

ImagickDraw::roundRectangle — Draws a rounded rectangle

### Description

bool ImagickDraw::roundRectangle ( float `$x1` , float `$y1` , float `$x2` , float `$y2` , float `$rx` , float `$ry` )
Warning

This function is currently not documented; only its argument list is available.

Draws a rounded rectangle given two coordinates, x & y corner radiuses and using the current stroke, stroke width, and fill settings.

### Parameters

`x1`

  x coordinate of the top left corner

`y1`

  y coordinate of the top left corner

`x2`

  x coordinate of the bottom right

`y2`

  y coordinate of the bottom right

`rx`

  x rounding

`ry`

  y rounding

### Return Values

No value is returned.

ImagickDraw::rotate
ImagickDraw::scale
The ImagickDraw class
PHP Manual